=== debian/control ===
Source: ros-iron-velocity-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-backward-ros, ros-iron-controller-manager <!nocheck>, ros-iron-forward-command-controller, ros-iron-hardware-interface <!nocheck>, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros2-control-test-assets <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-velocity-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-backward-ros, ros-iron-forward-command-controller, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Description: Generic controller for forwarding commands.
